Subject: bug#78769: 31.0.50; improve ffap-file-name-with-spaces

From: Eli Zaretskii <[email-masked]>
Date: Fri, 13 Jun 2025 10:21:37 +0300

> Date: Fri, 13 Jun 2025 12:35:52 +0530 (IST)
> Cc: [email-masked]
> From: Madhu <[email-masked]>
> 
> *  Eli Zaretskii <[email-masked]> <[email-masked]>
> Wrote on Fri, 13 Jun 2025 09:44:48 +0300
> > The problem bothered me a lot, so I worked on it right away.
> >
> > Thanks for testing, I'm therefore closing this bug.
> 
> Thanks, it may be worth mentioning that setting
> ffap-file-name-with-spaces t has undsired effects on regular ffap. eg:
> ffap on the /etc/passwd on the line
> 
> ```
> /etc/passwd /etc/hosts
> ```
> 
> will return /etc not the full path.
> 
> but this is a known limitation.
> 
> [Unfortunately it is also a limitation in the other implementation I
> proposed, that of extending
>  (assq 'file ffap-string-at-point-mode-alist)
> so that doesn't buy anything.]

I think this aspect is already in the doc string of the variable:

  Enabling this variable may lead to ‘find-file-at-point’ guessing
  wrong more often when trying to find a file name intermingled
  with normal text, but can be useful when working on systems that
  normally use spaces in file names (like Microsoft Windows and the
  like).